## astropy 4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

#This is needed with git because git doesn't create a dir if it's empty
$(shell [ -d "_static" ] || mkdir -p _static)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf api
	-rm -rf generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Astropy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Astropy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Astropy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Astropy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	@echo "Run 'pytest' in the root directory to run doctests " \
	@echo "in the documentation."

=== debian/changelog ===
astropy (4.2-6) unstable; urgency=medium

  * Ignore IERSStaleWarning in pytest (Closes: #991654)

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Jul 2021 18:12:43 +0200

astropy (4.2-5) unstable; urgency=medium

  * Fix leap second update when using a non english locale
  * Temporarily disable pyephem test (erfa update)

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Feb 2021 11:05:34 +0100

astropy (4.2-4) unstable; urgency=medium

  * Updated tests to WCSLIB 7.4
  * Add wcsapi_test.*.so to d/missing

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Feb 2021 15:06:33 +0100

astropy (4.2-3) unstable; urgency=medium

  * Disable build time test on mipsel

 -- Ole Streicher <olebole@debian.org>  Thu, 21 Jan 2021 20:05:34 +0100

astropy (4.2-2) unstable; urgency=medium

  * Ignore RuntimeWarnings from newer scipy (Closes: #980700)
  * Push Standards-Version to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Jan 2021 22:31:05 +0100

astropy (4.2-1) unstable; urgency=medium

  * New upstream version 4.2. Switch back to unstable
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 25 Nov 2020 13:27:46 +0100

astropy (4.2~rc1-2) experimental; urgency=medium

  * Relax bbox_size tolerances for Freetype != 2.6.1
  * Ignore FPE warnings for armel build

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Nov 2020 09:25:51 +0100

astropy (4.2~rc1-1) experimental; urgency=medium

  * New upstream RC version 4.2~rc1. Switch to experimental
  * Rediff patches
  * Adjust build dependencies
  * Mark test_bbox_size as xfail

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Nov 2020 10:58:40 +0100

=== debian/control ===
Source: astropy
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               graphviz,
               libcfitsio-dev | libcfitsio3-dev,
               libexpat1-dev,
               libjs-jquery,
               libjs-jquery-datatables,
               libjs-mathjax,
               pkg-config,
               python3-all-dev,
               python3-astropy-sphinx-theme,
               python3-configobj,
               python3-erfa,
               python3-extension-helpers,
               python3-h5py,
               python3-jinja2,
               python3-matplotlib,
               python3-nose,
               python3-numpy (>= 1:1.13),
               python3-ply (>= 3.5),
               python3-pytest (>= 3.1),
               python3-pytest-astropy,
               python3-pytest-mpl,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-six (>= 1.10.0),
               python3-sphinx (>= 1.3),
               python3-sphinx-astropy,
               python3-sphinx-automodapi,
               python3-yaml,
               wcslib-dev (>= 5.8),
               zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
Homepage: https://astropy.org
Rules-Requires-Root: no

Package: python3-astropy
Architecture: any
Depends: python3-configobj,
         python3-distutils,
         python3-pytest (>= 3.1),
         python3-pytest-astropy,
         python3-six (>= 1.10.0),
         ${misc:Depends},
         ${python3-ply:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: libjs-jquery,
            libjs-jquery-datatables,
            python3-scipy
Suggests: libxml2-utils,
          python-astropy-doc,
          python3-astropy-affiliated,
          python3-bs4,
          python3-h5py,
          python3-matplotlib,
          python3-pandas,
          python3-tz,
          python3-yaml
Breaks: python3-astroplan (<< 0.5~),
        python3-astroquery (<< 0.3.10+dfsg-2~),
        python3-gwcs (<< 0.12~),
        python3-specutils (<< 0.7~)
Description: Core functionality for performing astrophysics with Python
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 It can be extended by a number of "affiliated packages" that are
 intended to work with the core package.

Package: python-astropy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Core functionality for performing astrophysics with Python (doc)
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 It can be extended by a number of "affiliated packages" that are
 intended to work with the core package.
 .
 This package contains the package documentation.

Package: astropy-utils
Architecture: all
Section: science
Depends: python3-astropy (<< ${source:Version}.1~),
         python3-astropy (>= ${source:Version}),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Breaks: pyfits-utils (<<1:3.3-4~)
Replaces: pyfits-utils (<<1:3.3-4~)
Description: Command line tools from astropy
 The astropy package contains core functionality and some common tools
 needed for performing astronomy and astrophysics research with Python.
 .
 This package contains the tools that come with astropy:
 .
  * fitscheck: Detect and fix FITS standards violations
  * fits2bitmap: Create a bitmap file from a FITS image.
  * fitsdiff: Compare two FITS image files and report the differences in
    header keywords and data.
  * fitsheader: Print the header(s) of one or more FITS file(s) to the
    standard output in a human-readable format.
  * samp_hub: SAMP Hub Server.
  * volint: Check a VOTable file for compliance to the VOTable specification
  * wcslint: Check the WCS keywords in a FITS file for compliance against
    the standards

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# set the MPLCONFIGDIR to avoid writing into non writable location
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

# Use agg Matplotlib backend for testing on headless machines.
export MPLBACKEND=agg

export LC_ALL=C.UTF-8
export ASTROPY_USE_SYSTEM_ALL=1
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
PY3VERSION = $(shell py3versions -d -v)

# Generate PLY files
export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.coordinates; astropy.coordinates.angle_utilities.parse_angle("0°"); import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3

override_dh_installdocs-indep:
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python$(PY3VERSION)/dist-packages \
	    $(MAKE) -C docs -k html || true
	dh_installdocs

override_dh_sphinxdoc-arch:
	# sphinxdoc is only needed on indep and does not work here.

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build astropy.egg-info
	rm -rf astropy_helpers-*.egg
	rm -rf docs/_build docs/_generated

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),mipsel)
	dh_auto_test
endif
endif

override_dh_python3:
	dh_python3
	dh_python3-ply $$(find $(PYBUILD_DESTDIR_python3) -name '*tab.py'| grep -v test_tab.py)

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xinvalid.dat.gz

override_dh_missing:
	dh_missing --list-missing

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs astropy
Depends: python3-astropy, python3-scipy, python3-pytest
Restrictions: allow-stderr

## astropy 5.0.2

=== debian/changelog ===
astropy (5.0.2-1) unstable; urgency=medium

  * New upstream version 5.0.2
  * Rediff patches
  * Lower pytest version requirement
  * Remove tests that depend on line width

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Mar 2022 09:51:02 +0100

astropy (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Jan 2022 11:58:38 +0100

astropy (5.0-1) unstable; urgency=medium

  * New stable upstream version 5.0. Switch back to unstable.
  * Rediff patches
  * Use FLOAT_CMP to fix test failure on i386 and others
  * Temporarily disable pandas build-dep to speed up Py3.9+3.10 transition

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Nov 2021 15:55:32 +0100

astropy (5.0~rc2-1) experimental; urgency=medium

  * New upstream version 5.0~rc2
  * Rediff patches
  * Remove outdated Breaks+Replaces pyfits-utils

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Nov 2021 12:18:49 +0100

astropy (5.0~rc1-5) experimental; urgency=medium

  * Convert all the floating point comparisons for test_spline to assert_allclose

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Nov 2021 16:56:47 +0100

astropy (5.0~rc1-4) experimental; urgency=medium

  * Install all possible dependencies for CI tests
  * Re-xfail test that fails on mipsel
  * Replace exact assert_equal with assert_all_close for doubles
  * Revert "Enable verbose test output and enable tests on mipsel"
  * Don't run hypothesis tests during build or CI tests

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Nov 2021 14:40:18 +0100

astropy (5.0~rc1-3) experimental; urgency=medium

  * Use build profiles <nodoc> and <nocheck>
  * Add pandas and skimage to build-deps for testing
  * Replace simple spline test fix with upstream's proposal
  * Enable verbose test output and enable tests on mipsel
  * Re-enable some tests on mips64el

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Nov 2021 07:55:16 +0100

astropy (5.0~rc1-2) experimental; urgency=medium

  * Replace assert for non-zero doubles with assert_allclose

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Nov 2021 20:05:11 +0100

astropy (5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate 5.0~rc1. Switch to experimental
  * Rediff patches
  * Remove outdated versionized (build) dependencies
  * Push Standards-Version to 4.6.0. No changes needed.
  * Fix internal astropy version number check
  * Remove versionized sphinx dependency and unpackaged sphinx-changelog
  * Ensure no unexpected failures in treating deprecations as exceptions.

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Nov 2021 11:47:53 +0100

astropy (4.3.1-4) unstable; urgency=medium

  * Lower Breaks: version for astroqery to release with backported patch

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Sep 2021 20:50:53 +0200

astropy (4.3.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing build dependency on dh addon.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
  * Fix day-of-week for changelog entry 0.2.1-1~exp1.

  [ Ole Streicher ]
  * Update dependency versions; remove outdated build deps
  * Update cfitsio support to 4.0.0
  * Drop Ignore-FixedWCS-success-warnings.patch: fixed upstream
  * Ignore invalid multiply warnings that happen on mips64el

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Sep 2021 08:31:20 +0200

astropy (4.3.1-2) unstable; urgency=medium

  * Absorb numpy and scipy RuntimeWarning to fix FTBFS on i386

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Aug 2021 08:22:37 +0200

astropy (4.3.1-1) unstable; urgency=medium

  * Merge main and experimental branches
  * New upstream version 4.3.1
  * Rediff patches
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Aug 2021 16:14:33 +0200

astropy (4.3~rc1-2) experimental; urgency=medium

  * Skip test that fails on mips64el

 -- Ole Streicher <olebole@debian.org>  Fri, 25 Jun 2021 10:46:09 +0200

astropy (4.3~rc1-1) experimental; urgency=medium

  * New upstream version 4.3~rc1. Switch to experimental.
  * Rediff patches
  * Ignore FixedWCS success "warnings"
  * Don't rely on sphinx_changelog

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Jun 2021 10:11:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,50 +6,50 @@
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
-               graphviz,
-               libcfitsio-dev | libcfitsio3-dev,
+               graphviz <!nodoc>,
+               libcfitsio-dev,
                libexpat1-dev,
-               libjs-jquery,
-               libjs-jquery-datatables,
-               libjs-mathjax,
+               libjs-jquery <!nodoc>,
+               libjs-jquery-datatables <!nodoc>,
+               libjs-mathjax <!nodoc>,
                pkg-config,
                python3-all-dev,
-               python3-astropy-sphinx-theme,
+               python3-astropy-sphinx-theme <!nodoc>,
                python3-configobj,
                python3-erfa,
                python3-extension-helpers,
-               python3-h5py,
+               python3-h5py <!nocheck>,
                python3-jinja2,
-               python3-matplotlib,
-               python3-nose,
-               python3-numpy (>= 1:1.13),
-               python3-ply (>= 3.5),
-               python3-pytest (>= 3.1),
-               python3-pytest-astropy,
-               python3-pytest-mpl,
-               python3-scipy,
+               python3-matplotlib <!nocheck>,
+               python3-numpy (>= 1:1.17) <!nocheck>,
+               python3-ply,
+               python3-pytest <!nocheck>,
+               python3-pytest-astropy (>= 0.8) <!nocheck>,
+               python3-pytest-mpl <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-six (>= 1.10.0),
-               python3-sphinx (>= 1.3),
-               python3-sphinx-astropy,
-               python3-sphinx-automodapi,
-               python3-yaml,
-               wcslib-dev (>= 5.8),
-               zlib1g-dev
-Standards-Version: 4.5.1
+               python3-skimage <!nocheck>,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-astropy (>= 1.3) <!nodoc>,
+               python3-sphinx-automodapi <!nodoc>,
+               python3-yaml <!nocheck>,
+               wcslib-dev,
+               zlib1g-dev,
+               dh-strip-nondeterminism
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org
 Rules-Requires-Root: no
 
 Package: python3-astropy
+Build-Profiles: <!nodoc>
 Architecture: any
 Depends: python3-configobj,
          python3-distutils,
-         python3-pytest (>= 3.1),
+         python3-pytest,
          python3-pytest-astropy,
-         python3-six (>= 1.10.0),
          ${misc:Depends},
          ${python3-ply:Depends},
          ${python3:Depends},
@@ -66,10 +66,12 @@
           python3-pandas,
           python3-tz,
           python3-yaml
-Breaks: python3-astroplan (<< 0.5~),
-        python3-astroquery (<< 0.3.10+dfsg-2~),
+Breaks: python3-astroquery (<< 0.4.1+dfsg-6~),
+        python3-gammapy (<< 0.18~),
         python3-gwcs (<< 0.12~),
-        python3-specutils (<< 0.7~)
+        python3-poliastro (<< 0.15~),
+        python3-specutils (<< 1.3~),
+        python3-sunpy (<< 3.0~)
 Description: Core functionality for performing astrophysics with Python
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.
@@ -98,8 +100,6 @@
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
-Breaks: pyfits-utils (<<1:3.3-4~)
-Replaces: pyfits-utils (<<1:3.3-4~)
 Description: Command line tools from astropy
  The astropy package contains core functionality and some common tools
  needed for performing astronomy and astrophysics research with Python.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 
 # Generate PLY files
 export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.coordinates; astropy.coordinates.angle_utilities.parse_angle("0°"); import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'
+
+# Don't run hypothesis tests
+export PYBUILD_TEST_ARGS=--astropy-header -m "not hypothesis"
+
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --astropy-header -m "not hypothesis" --pyargs astropy
Depends: @,
         python3-asdf,
         python3-h5py,
         python3-matplotlib,
         python3-pandas,
         python3-pytest,
         python3-pytest-astropy,
         python3-pytest-mpl,
         python3-scipy,
         python3-skimage,
         python3-yaml
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/ \
https://pypi.debian.net/astropy/astropy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## astropy 5.1

=== debian/changelog ===
astropy (5.1-4) unstable; urgency=medium

  * Compatibility with Python 3.11 (Closes: #1019708)

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Sep 2022 15:44:52 +0200

astropy (5.1-3) unstable; urgency=medium

  * Ignore any "invalid value" warnings to fix FTBFS on mips64el

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jun 2022 08:05:28 +0200

astropy (5.1-2) unstable; urgency=medium

  * Temporarily disable restriction for matplotlib version (Closes: #1013599)

 -- Ole Streicher <olebole@debian.org>  Wed, 29 Jun 2022 20:55:56 +0200

astropy (5.1-1) unstable; urgency=medium

  * New upstream version 5.1. Switch back to unstable.
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 27 May 2022 10:15:21 +0200

astropy (5.1~rc1-3) experimental; urgency=medium

  * xfail test_fit_with_fixed_and_bound_constraints failure

 -- Ole Streicher <olebole@debian.org>  Wed, 04 May 2022 18:50:59 +0200

astropy (5.1~rc1-2) experimental; urgency=medium

  * Bugfix for fitting test failures on several archs

 -- Ole Streicher <olebole@debian.org>  Tue, 03 May 2022 16:35:53 +0200

astropy (5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate 5.1~rc1. Switch to experimental.
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 03 May 2022 11:49:35 +0200

astropy (5.0.4-1) unstable; urgency=medium

  * New upstream version 5.0.4
  * Drop Update-WCSLIB-support-to-version-7.9.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Apr 2022 08:11:01 +0200

astropy (5.0.3-1) unstable; urgency=medium

  * New upstream version 5.0.3
  * Drop Remove-tests-that-depend-on-line-width.patch: fixed upstream

 -- Ole Streicher <olebole@debian.org>  Mon, 28 Mar 2022 15:28:36 +0200

astropy (5.0.2-2) unstable; urgency=medium

  * Update WCSLIB support to version 7.9

 -- Ole Streicher <olebole@debian.org>  Sun, 27 Mar 2022 12:25:58 +0200

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                wcslib-dev,
                zlib1g-dev,
                dh-strip-nondeterminism
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org

## astropy 5.1.1

=== debian/changelog ===
astropy (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1
  * Rediff patches
  * Remove outdate license statement: erfa sources are gone
  * Update lintian overrides
  * Ignore warnings about distutils/setuptools import order

 -- Ole Streicher <olebole@debian.org>  Sun, 23 Oct 2022 14:25:49 +0200

## astropy 5.2.1

=== debian/changelog ===
astropy (5.2.1-2) unstable; urgency=medium

  * Mark LevMarLSQFitter test xfail (Closes: #1030012)

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Feb 2023 09:06:27 +0100

astropy (5.2.1-1) unstable; urgency=medium

  [Ole Streicher]
  * New upstream version 5.2.1. Closes: #1027191
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes
  * Add towncrier to build deps
  * Update changelog for 5.2.1-1 release

  [ Bas Couwenberg ]
  * Fix gitlab-ci.yml syntax.
  * Enable all hardening buildflags.
  * Bump watch file version to 4.
  * Allow reprotest to fail.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Jan 2023 07:31:33 +0100

astropy (5.2-1) unstable; urgency=medium

  * New upstream version 5.2. Switch back to unstable.
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 14 Dec 2022 10:26:03 +0100

astropy (5.2~rc1-1) experimental; urgency=medium

  * Upstream release candidate 5.2~rc1. Switch to experimental.
  * Rediff patches. Drop patches that were applied upstream.

 -- Ole Streicher <olebole@debian.org>  Thu, 01 Dec 2022 18:16:42 +0100

=== debian/control ===
--- 
+++ 
@@ -34,10 +34,11 @@
                python3-sphinx-astropy (>= 1.3) <!nodoc>,
                python3-sphinx-automodapi <!nodoc>,
                python3-yaml <!nocheck>,
+               towncrier,
                wcslib-dev,
                zlib1g-dev,
                dh-strip-nondeterminism
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # set the MPLCONFIGDIR to avoid writing into non writable location
 export HOME=$(CURDIR)/build

## astropy 5.3.2

=== debian/changelog ===
astropy (5.3.2-1) unstable; urgency=medium

  * New upstream version 5.3.2
  * Rediff patches
  * Add tzdata to test dependencies

 -- Ole Streicher <olebole@debian.org>  Wed, 16 Aug 2023 18:43:48 +0200

astropy (5.3.1-2) unstable; urgency=medium

  * Don't check overflow warning that doesn't appear on armel

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 14:57:15 +0200

astropy (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 08:43:20 +0200

astropy (5.3-1) unstable; urgency=medium

  * New upstream version 5.3
  * Switch back to unstable
  * Rediff patches
  * Remove unneeded minversions from build dep

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Jun 2023 21:36:52 +0200

astropy (5.3~rc1-1) experimental; urgency=medium

  * New upstream version 5.3~rc1
  * Rediff patches
  * Don't build depend on cfitsio anymore

 -- Ole Streicher <olebole@debian.org>  Mon, 08 May 2023 10:55:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debhelper-compat (= 13),
                dh-python,
                graphviz <!nodoc>,
-               libcfitsio-dev,
                libexpat1-dev,
                libjs-jquery <!nodoc>,
                libjs-jquery-datatables <!nodoc>,
@@ -21,22 +20,24 @@
                python3-h5py <!nocheck>,
                python3-jinja2,
                python3-matplotlib <!nocheck>,
-               python3-numpy (>= 1:1.17) <!nocheck>,
+               python3-numpy <!nocheck>,
                python3-ply,
                python3-pytest <!nocheck>,
-               python3-pytest-astropy (>= 0.8) <!nocheck>,
+               python3-pytest-astropy <!nocheck>,
                python3-pytest-mpl <!nocheck>,
+               python3-pytzdata <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-skimage <!nocheck>,
                python3-sphinx <!nodoc>,
-               python3-sphinx-astropy (>= 1.3) <!nodoc>,
+               python3-sphinx-astropy <!nodoc>,
                python3-sphinx-automodapi <!nodoc>,
                python3-yaml <!nocheck>,
                towncrier,
                wcslib-dev,
                zlib1g-dev,
+               tzdata-legacy <!nocheck>,
                dh-strip-nondeterminism
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
@@ -45,7 +46,6 @@
 Rules-Requires-Root: no
 
 Package: python3-astropy
-Build-Profiles: <!nodoc>
 Architecture: any
 Depends: python3-configobj,
          python3-distutils,
@@ -69,7 +69,6 @@
           python3-yaml
 Breaks: python3-astroquery (<< 0.4.1+dfsg-6~),
         python3-gammapy (<< 0.18~),
-        python3-gwcs (<< 0.12~),
         python3-poliastro (<< 0.15~),
         python3-specutils (<< 1.3~),
         python3-sunpy (<< 3.0~)
@@ -78,6 +77,7 @@
  needed for performing astronomy and astrophysics research with Python.
  It can be extended by a number of "affiliated packages" that are
  intended to work with the core package.
+Build-Profiles: <!nodoc>
 
 Package: python-astropy-doc
 Architecture: all

## astropy 6.0.0

=== debian/changelog ===
astropy (6.0.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:24:18 +1100

astropy (6.0.0-1ubuntu1) noble; urgency=medium

  * Drop Dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 18:40:14 +0100

astropy (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0.
  * Rediff patches
  * Switch back to unstable.
  * New build dependency python3-tomli

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Dec 2023 19:56:52 +0100

astropy (6.0.0~rc2-2) experimental; urgency=medium

  * Revert "Don't call cython"
  * Require cython-3.0 as build dependency. Closes: #1056790

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Nov 2023 11:09:00 +0100

astropy (6.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate 6.0.0~rc2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Nov 2023 08:21:10 +0100

astropy (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate 6.0.0~rc1
  * Switch to experimental
  * Rediff patches. Drop patch applied upstrean.
  * Temporarily use pre-generated cython files
  * Add new build dependencies
  * Adjust generation of PLY files

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Nov 2023 20:48:18 +0100

astropy (5.3.4-2) unstable; urgency=medium

  * Account for SOFA/ERFA bugfix in pvstar (Closes: #1054775)

 -- Ole Streicher <olebole@debian.org>  Wed, 01 Nov 2023 10:05:00 +0100

astropy (5.3.4-1) unstable; urgency=medium

  * New upstream version 5.3.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Oct 2023 07:55:45 +0200

astropy (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Sep 2023 07:58:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: astropy
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3,
+Build-Depends: cython3 (>= 3.0.0~),
                debhelper-compat (= 13),
                dh-python,
                graphviz <!nodoc>,
@@ -13,6 +14,7 @@
                libjs-mathjax <!nodoc>,
                pkg-config,
                python3-all-dev,
+               python3-astropy-iers-data,
                python3-astropy-sphinx-theme <!nodoc>,
                python3-configobj,
                python3-erfa,
@@ -22,6 +24,7 @@
                python3-matplotlib <!nocheck>,
                python3-numpy <!nocheck>,
                python3-ply,
+               python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-astropy <!nocheck>,
                python3-pytest-mpl <!nocheck>,
@@ -33,6 +36,10 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-astropy <!nodoc>,
                python3-sphinx-automodapi <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
+               python3-sphinx-design <!nodoc>,
+               python3-sphinxcontrib.jquery <!nodoc>,
+               python3-tomli <!nodoc>,
                python3-yaml <!nocheck>,
                towncrier,
                wcslib-dev,
@@ -48,7 +55,6 @@
 Package: python3-astropy
 Architecture: any
 Depends: python3-configobj,
-         python3-distutils,
          python3-pytest,
          python3-pytest-astropy,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 PY3VERSION = $(shell py3versions -d -v)
 
 # Generate PLY files
-export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.coordinates; astropy.coordinates.angle_utilities.parse_angle("0°"); import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'
+export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'
 
 # Don't run hypothesis tests
 export PYBUILD_TEST_ARGS=--astropy-header -m "not hypothesis"

=== debian/tests/control ===
--- 
+++ 
@@ -9,5 +9,7 @@
          python3-pytest-mpl,
          python3-scipy,
          python3-skimage,
-         python3-yaml
+         python3-yaml,
+         python3-pytzdata,
+         tzdata-legacy
 Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/ \
https://pypi.debian.net/astropy/astropy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## astropy 6.0.1

=== debian/changelog ===
astropy (6.0.1-4) unstable; urgency=medium

  * Fix usage of dimensionless quantity as an exponent

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Apr 2024 12:33:10 +0200

astropy (6.0.1-3) unstable; urgency=medium

  * Disable another overflow check warning
  * Drop Dependency on python3-distutils.

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Apr 2024 10:24:30 +0200

astropy (6.0.1-2) unstable; urgency=medium

  * Skip more overflow warning checks that cause CI test failures on armel
  * Force no-color for pytest

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Apr 2024 15:06:26 +0200

astropy (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1. Closes: #1063970
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Mar 2024 20:51:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: astropy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional

## astropy 6.1.1

=== debian/changelog ===
astropy (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Jul 2024 10:12:14 +0200

## astropy 6.1.2

=== debian/changelog ===
astropy (6.1.2-1ubuntu1) oracular; urgency=medium

  * Correct python3-pytzdata dependency to python3-tz

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 06 Sep 2024 12:16:08 +0200

astropy (6.1.2-1) unstable; urgency=medium

  * New upstream version 6.1.2
  * Rediff patches
  * Allow older matplotlib when building docs

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jul 2024 13:42:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: astropy
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
@@ -27,7 +28,6 @@
                python3-pytest <!nocheck>,
                python3-pytest-astropy <!nocheck>,
                python3-pytest-mpl <!nocheck>,
-               python3-pytzdata <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
@@ -39,13 +39,14 @@
                python3-sphinx-design <!nodoc>,
                python3-sphinxcontrib.jquery <!nodoc>,
                python3-tomli <!nodoc>,
+               python3-tz <!nocheck>,
                python3-yaml <!nocheck>,
                towncrier,
                wcslib-dev,
                zlib1g-dev,
                tzdata-legacy <!nocheck>,
                dh-strip-nondeterminism
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org

## astropy 6.1.3

=== debian/changelog ===
astropy (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2024 19:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: astropy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
@@ -28,6 +27,7 @@
                python3-pytest <!nocheck>,
                python3-pytest-astropy <!nocheck>,
                python3-pytest-mpl <!nocheck>,
+               python3-pytzdata <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
@@ -39,7 +39,6 @@
                python3-sphinx-design <!nodoc>,
                python3-sphinxcontrib.jquery <!nodoc>,
                python3-tomli <!nodoc>,
-               python3-tz <!nocheck>,
                python3-yaml <!nocheck>,
                towncrier,
                wcslib-dev,

## astropy 6.1.4

=== debian/changelog ===
astropy (6.1.4-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Correct python3-pytzdata dependency to python3-tz

  [ Ole Streicher ]
  * Remove outdated pkg-resources dependency in astropy-utils (Closes: #1083305)

 -- Ole Streicher <olebole@debian.org>  Sun, 06 Oct 2024 12:12:33 +0200

astropy (6.1.4-1) unstable; urgency=medium

  * New upstream version 6.1.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 29 Sep 2024 13:47:48 +0200

## astropy 6.1.5

=== debian/changelog ===
astropy (6.1.5-1) unstable; urgency=medium

  * New upstream version 6.1.5
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Nov 2024 10:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
                python3-pytest <!nocheck>,
                python3-pytest-astropy <!nocheck>,
                python3-pytest-mpl <!nocheck>,
-               python3-pytzdata <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
@@ -39,6 +38,7 @@
                python3-sphinx-design <!nodoc>,
                python3-sphinxcontrib.jquery <!nodoc>,
                python3-tomli <!nodoc>,
+               python3-tz <!nocheck>,
                python3-yaml <!nocheck>,
                towncrier,
                wcslib-dev,
@@ -103,7 +103,6 @@
 Section: science
 Depends: python3-astropy (<< ${source:Version}.1~),
          python3-astropy (>= ${source:Version}),
-         python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
 Description: Command line tools from astropy

=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
          python3-pytest-mpl,
          python3-scipy,
          python3-skimage,
+         python3-tz,
          python3-yaml,
-         python3-pytzdata,
          tzdata-legacy
 Restrictions: allow-stderr

## astropy 7.0.0

=== debian/changelog ===
astropy (7.0.0-5) unstable; urgency=medium

  * Xfail more tests that fail on mips64el

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Feb 2025 14:06:28 +0100

astropy (7.0.0-4) unstable; urgency=medium

  * Adjust last doctest patch from issue comments
  * Mark more tests xfail that fail on mips64el (Closes: #1094883)

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Feb 2025 12:05:10 +0100

astropy (7.0.0-3) unstable; urgency=medium

  * TST: fix 32-bit portability issue in a table doctest (Closes: #1094749)

 -- Ole Streicher <olebole@debian.org>  Fri, 31 Jan 2025 13:00:47 +0100

astropy (7.0.0-2) unstable; urgency=medium

  * TST: adapt test completness metatest for numpy 2.2 (Closes: #1094690)

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jan 2025 10:28:09 +0100

astropy (7.0.0-1) unstable; urgency=medium

  * New upstream version 7.0.0
  * Rediff patches
  * Drop Mark-two-future-test-as-remote_data.patch: fixed upstream
  * Make some more tests xfail that sometimes fail under mips64el
  * Mark one test as xfail that sometimes fails on i386 (Closes: #1087612)

 -- Ole Streicher <olebole@debian.org>  Fri, 22 Nov 2024 15:54:04 +0100

astropy (6.1.5-2) unstable; urgency=medium

  * Temporarily disable h5py (build-)test dependency

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Nov 2024 22:39:33 +0100

astropy (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate 7.0.0~rc1. Switch to experimental.
  * Rediff patches
  * Skip system_info doctest that fails during build
  * Mark three future test as remote_data

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Nov 2024 11:52:55 +0100

## astropy 7.0.1

=== debian/changelog ===
astropy (7.0.1-5) unstable; urgency=medium

  * Team upload.
  * Disable the tabular1d_inverse test that started failing
    since latest Pytest (?)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 15 Aug 2025 14:04:59 +0200

astropy (7.0.1-4) unstable; urgency=medium

  * Team Upload
  * Drop dependency on external python3-tomli
  * Replace obsolete pkg-config with pkgconf
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Fri, 15 Aug 2025 12:13:33 +0200

astropy (7.0.1-3) unstable; urgency=medium

  * Ignore more tests that may fail in future (Closes: #1078611)

 -- Ole Streicher <olebole@debian.org>  Wed, 07 May 2025 20:57:05 +0200

astropy (7.0.1-2) unstable; urgency=medium

  * Weaken or ignore tests that fail in future

 -- Ole Streicher <olebole@debian.org>  Sat, 15 Feb 2025 15:07:12 +0100

astropy (7.0.1-1) unstable; urgency=medium

  * New upstream version 7.0.1
  * Drop patches that were applied upstream

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Feb 2025 10:02:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
                libjs-jquery <!nodoc>,
                libjs-jquery-datatables <!nodoc>,
                libjs-mathjax <!nodoc>,
-               pkg-config,
+               pkgconf,
                python3-all-dev,
                python3-astropy-iers-data,
                python3-astropy-sphinx-theme <!nodoc>,
                python3-configobj,
                python3-erfa,
                python3-extension-helpers,
-               python3-h5py <!nocheck>,
                python3-jinja2,
                python3-matplotlib <!nocheck>,
                python3-numpy <!nocheck>,
@@ -37,7 +36,6 @@
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-design <!nodoc>,
                python3-sphinxcontrib.jquery <!nodoc>,
-               python3-tomli <!nodoc>,
                python3-tz <!nocheck>,
                python3-yaml <!nocheck>,
                towncrier,
@@ -45,7 +43,7 @@
                zlib1g-dev,
                tzdata-legacy <!nocheck>,
                dh-strip-nondeterminism
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy.git
 Homepage: https://astropy.org

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,10 @@
 export PYBUILD_AFTER_BUILD=cd {build_dir}; python{version} -c 'import astropy.units.format; astropy.units.format.CDS.parse("m/s"); astropy.units.format.Generic.parse("m"); astropy.units.format.OGIP.parse("m/s")'
 
 # Don't run hypothesis tests
-export PYBUILD_TEST_ARGS=--astropy-header -m "not hypothesis"
+export PYBUILD_TEST_ARGS=--astropy-header --color=no -m "not hypothesis" -k "not test_tabular1d_inverse"
 
+export NO_COLOR=1
+export PY_COLORS=0
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## astropy 7.1.0

=== debian/changelog ===
astropy (7.1.0-2) unstable; urgency=medium

  * Merge experimental changes (New upstream version 7.1.0)
  * Re-enable test_tabular2d_inverse
  * Build-depend on python3-numpy-dev

 -- Ole Streicher <olebole@debian.org>  Sat, 16 Aug 2025 13:59:26 +0200

astropy (7.1.0-1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * drop dependency on external python3-tomli

  [ Ole Streicher ]
  * New upstream version 7.1.0
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed
  * Fix reference attributes in d/u/metadata
  * Remove examples (removed upstream)

 -- Ole Streicher <olebole@debian.org>  Sat, 24 May 2025 12:20:07 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                python3-jinja2,
                python3-matplotlib <!nocheck>,
                python3-numpy <!nocheck>,
+               python3-numpy-dev,
                python3-ply,
                python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
